Bug 146882 - "Message handling" unset when setting it to "Open messages instantly" and reopening the configuration dialog
Summary: "Message handling" unset when setting it to "Open messages instantly" and reo...
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-16 21:29 UTC by Andrija Prčić
Modified: 2007-06-21 19:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrija Prčić 2007-06-16 21:29:45 UTC
Version:           0.12.5 (using KDE 3.5.7, Gentoo)
Compiler:          Target: x86_64-pc-linux-gnu
OS:                Linux (x86_64) release 2.6.21-gentoo-r3

Open the configuration window

set Behavior -> General -> Message Handling to "Open messages instantly"

Close the dialog with OK

Reopen the dialog

Message Handling is unset

As far as I can tell, everything works as it should, just the radio box is not set correctly.
Comment 1 Jan Ritzerfeld 2007-06-20 22:22:42 UTC
Seems that no one uses this option. That is, IMHo there is indeed a line of code missing in kopete/config/behavior/behaviorconfig.cpp:
Index: kopete/config/behavior/behaviorconfig.cpp
===================================================================
--- kopete/config/behavior/behaviorconfig.cpp   (Revision 678055)
+++ kopete/config/behavior/behaviorconfig.cpp   (Arbeitskopie)
@@ -229,6 +229,7 @@
        // "General" TAB ============================================================
        mPrfsGeneral->mShowTrayChk->setChecked( p->showTray() );
        mPrfsGeneral->mStartDockedChk->setChecked( p->startDocked() );
+       mPrfsGeneral->mInstantMessageOpeningChk->setChecked( !p->useQueue() && !p->useStack());
        mPrfsGeneral->mUseQueueChk->setChecked( p->useQueue() );
        mPrfsGeneral->mUseStackChk->setChecked( p->useStack() );
        mPrfsGeneral->mQueueUnreadMessagesChk->setChecked ( p->queueUnreadMessages() );
Comment 2 Matt Rogers 2007-06-21 05:11:42 UTC
please commit
Comment 3 Jan Ritzerfeld 2007-06-21 19:15:04 UTC
SVN commit 678555 by jritzerfeld:

Check mInstantMessageOpeningChk radio button if neither mUseQueueChk
nor mUseStackChk is checked.

BUG: 146882


 M  +1 -0      behaviorconfig.cpp  


--- branches/KDE/3.5/kdenetwork/kopete/kopete/config/behavior/behaviorconfig.cpp #678554:678555
@@ -229,6 +229,7 @@
 	// "General" TAB ============================================================
 	mPrfsGeneral->mShowTrayChk->setChecked( p->showTray() );
 	mPrfsGeneral->mStartDockedChk->setChecked( p->startDocked() );
+	mPrfsGeneral->mInstantMessageOpeningChk->setChecked( !p->useQueue() && !p->useStack());
 	mPrfsGeneral->mUseQueueChk->setChecked( p->useQueue() );
 	mPrfsGeneral->mUseStackChk->setChecked( p->useStack() );
 	mPrfsGeneral->mQueueUnreadMessagesChk->setChecked ( p->queueUnreadMessages() );